package com.fr.plugin;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

public class WSDataURLAliasBridge extends AbstractURLAliasProvider
{

    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias("/tk/control", "/control", false),
                URLAliasFactory.createPluginAlias("/tk/control/list", "/entityList", false),
                URLAliasFactory.createPluginAlias("/tk/switch", "/switch", false),
                URLAliasFactory.createPluginAlias("/td/alertdata", "/alertdata", true),
        };
    }
}
